/*      Compiler: ECL 24.5.10                                         */
/*      Source: /home/abuild/rpmbuild/BUILD/ecl-24.5.10/src/cmp/cmpbackend-cxx/cmpc-opt-printer.lsp */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpc-opt-printer.eclh"
/*      local function LAMBDA3                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3695__lambda3(cl_narg narg, cl_object v1return_type, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2stream;
  va_list args; va_start(args,v1return_type);
  {
   int i = 1;
   if (i >= narg) {
    v2stream = ECL_NIL;
   } else {
    i++;
    v2stream = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = ecl_list1(v2stream);
  value0 = ecl_function_dispatch(cl_env_copy,VV[12])(6, T0, VV[1], VV[1], VV[2], ECL_T, ECL_T) /*  PRODUCE-INLINE-LOC */;
  return value0;
 }
}
/*      local function LAMBDA7                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3696__lambda7(cl_narg narg, cl_object v1return_type, cl_object v2value, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3stream;
  va_list args; va_start(args,v2value);
  {
   int i = 2;
   if (i >= narg) {
    v3stream = ECL_NIL;
   } else {
    i++;
    v3stream = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = cl_list(2, v2value, v3stream);
  value0 = ecl_function_dispatch(cl_env_copy,VV[12])(6, T0, VV[3], VV[1], VV[4], ECL_T, ECL_T) /*  PRODUCE-INLINE-LOC */;
  return value0;
 }
}
/*      local function LAMBDA11                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3697__lambda11(cl_narg narg, cl_object v1return_type, cl_object v2value, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3stream;
  va_list args; va_start(args,v2value);
  {
   int i = 2;
   if (i >= narg) {
    v3stream = ECL_NIL;
   } else {
    i++;
    v3stream = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = cl_list(2, v2value, v3stream);
  value0 = ecl_function_dispatch(cl_env_copy,VV[12])(6, T0, VV[3], VV[1], VV[5], ECL_T, ECL_T) /*  PRODUCE-INLINE-LOC */;
  return value0;
 }
}
/*      local function LAMBDA15                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3698__lambda15(cl_narg narg, cl_object v1return_type, cl_object v2expression, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3stream;
  va_list args; va_start(args,v2expression);
  {
   int i = 2;
   if (i >= narg) {
    v3stream = ECL_NIL;
   } else {
    i++;
    v3stream = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v5;                                  /*  FOUNDP          */
   cl_object v6;                                  /*  VALUE           */
   T0 = ecl_function_dispatch(cl_env_copy,VV[13])(1, v2expression) /*  INLINED-ARG-LOC */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[14])(1, T0) /*  LOC-IMMEDIATE-VALUE-P */;
   {
    const int v7 = cl_env_copy->nvalues;
    v5 = value0;
    cl_object v8;
    v8 = (v7<=1)? ECL_NIL : cl_env_copy->values[1];
    v6 = v8;
   }
   if (Null(v5)) { goto L3; }
   if (!(ECL_CHARACTERP(v6))) { goto L3; }
   T0 = cl_list(2, v2expression, v3stream);
   value0 = ecl_function_dispatch(cl_env_copy,VV[12])(6, T0, VV[6], VV[7], VV[8], ECL_T, ECL_T) /*  PRODUCE-INLINE-LOC */;
   return value0;
L3:;
   if (Null(v5)) { goto L6; }
   if (!(ECL_BASE_STRING_P(v6))) { goto L6; }
   {
    cl_fixnum v7;
    v7 = ecl_length(v6);
    if (!((v7)<(80))) { goto L6; }
   }
   T0 = cl_list(2, v2expression, v3stream);
   T1 = ecl_function_dispatch(cl_env_copy,VV[15])(1, v6) /*  C-INLINE-SAFE-STRING */;
   T2 = cl_concatenate(4, ECL_SYM("STRING",807), VV[9], T1, VV[10]);
   value0 = ecl_function_dispatch(cl_env_copy,VV[12])(6, T0, VV[3], VV[1], T2, ECL_T, ECL_T) /*  PRODUCE-INLINE-LOC */;
   return value0;
L6:;
   T0 = cl_list(2, v2expression, v3stream);
   value0 = ecl_function_dispatch(cl_env_copy,VV[12])(6, T0, VV[3], VV[1], VV[11], ECL_T, ECL_T) /*  PRODUCE-INLINE-LOC */;
   return value0;
  }
 }
}

#include "cmp/cmpc-opt-printer.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecleP8yTnmYYHCk9_fpals571(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = ecl_make_constant_base_string("SRC:CMP;CMPBACKEND-CXX;CMPC-OPT-PRINTER.LSP.NEWEST",-1);
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_ecleP8yTnmYYHCk9_fpals571@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(VVtemp[0]);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3695__lambda3,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("TERPRI",857), ecl_symbol_value(VV[0]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3696__lambda7,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("PRINT",664), ecl_symbol_value(VV[0]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3697__lambda11,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("PRIN1",660), ecl_symbol_value(VV[0]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3698__lambda15,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("PRINC",662), ecl_symbol_value(VV[0]), T0);
 }
}
