/*      Compiler: ECL 24.5.10                                         */
/*      Source: /home/abuild/rpmbuild/BUILD/ecl-24.5.10/src/cmp/cmppass1-cont.lsp */
#include <ecl/ecl-cmp.h>
#include "cmp/cmppass1-cont.eclh"
/*      function definition for C1BLOCK                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3435c1block(cl_object v1args)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[28])(3, ECL_SYM("BLOCK",139), v1args, ecl_make_fixnum(1)) /*  CHECK-ARGS-NUMBER */;
  {
   cl_object v2block_name;
   v2block_name = ecl_car(v1args);
   if (ECL_SYMBOLP(v2block_name)) { goto L3; }
   ecl_function_dispatch(cl_env_copy,VV[29])(2, VV[0], v2block_name) /*  CMPERR */;
L3:;
   {
    cl_object v3blk_var;
    cl_object v4blk;
    cl_object v5body;
    v3blk_var = ecl_function_dispatch(cl_env_copy,VV[30])(4, ECL_SYM("NAME",1306), v2block_name, VV[1], VV[2]) /*  MAKE-VAR */;
    v4blk = ecl_function_dispatch(cl_env_copy,VV[31])(4, VV[3], v3blk_var, ECL_SYM("NAME",1306), v2block_name) /*  MAKE-BLK */;
    T0 = ecl_function_dispatch(cl_env_copy,VV[32])(0) /*  CMP-ENV-COPY */;
    ecl_bds_bind(cl_env_copy,VV[4],T0);           /*  *CMP-ENV*       */
    ecl_function_dispatch(cl_env_copy,VV[33])(1, v4blk) /*  CMP-ENV-REGISTER-BLOCK */;
    T0 = ecl_cdr(v1args);
    v5body = ecl_function_dispatch(cl_env_copy,VV[34])(1, T0) /*  C1PROGN */;
    ecl_bds_unwind1(cl_env_copy);
    if ((ecl_function_dispatch(cl_env_copy,VV[35])(1, v3blk_var) /*  VAR-REF-CCB */)!=ECL_NIL) { goto L11; }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[36])(1, v3blk_var) /*  VAR-REF-CLB */)) { goto L9; }
    goto L10;
L11:;
L10:;
    cl_set(VV[5],ecl_plus(ecl_symbol_value(VV[5]),ecl_make_fixnum(1)));
L9:;
    T0 = ecl_function_dispatch(cl_env_copy,VV[37])(1, v4blk) /*  BLK-REF */;
    if (!(ecl_plusp(T0))) { goto L14; }
    T0 = ecl_list1(v3blk_var);
    T1 = ecl_function_dispatch(cl_env_copy,VV[38])(1, v4blk) /*  BLK-TYPE */;
    T2 = ecl_function_dispatch(cl_env_copy,VV[39])(1, v5body) /*  C1FORM-TYPE */;
    T3 = ecl_function_dispatch(cl_env_copy,VV[40])(2, T1, T2) /*  VALUES-TYPE-OR */;
    value0 = ecl_function_dispatch(cl_env_copy,VV[41])(8, ECL_SYM("BLOCK",139), VV[6], T0, ECL_SYM("TYPE",1353), T3, VV[7], v4blk, v5body) /*  MAKE-C1FORM* */;
    return value0;
L14:;
    value0 = v5body;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for C1RETURN-FROM                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3436c1return_from(cl_object v1args)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[28])(4, ECL_SYM("RETURN-FROM",727), v1args, ecl_make_fixnum(1), ecl_make_fixnum(2)) /*  CHECK-ARGS-NUMBER */;
  {
   cl_object v2name;
   v2name = ecl_car(v1args);
   if (ECL_SYMBOLP(v2name)) { goto L3; }
   ecl_function_dispatch(cl_env_copy,VV[29])(2, VV[0], v2name) /*  CMPERR */;
L3:;
   {
    cl_object v4;                                 /*  BLK             */
    cl_object v5;                                 /*  CFB             */
    cl_object v6;                                 /*  UNW             */
    value0 = ecl_function_dispatch(cl_env_copy,VV[43])(1, v2name) /*  CMP-ENV-SEARCH-BLOCK */;
    {
     const int v7 = cl_env_copy->nvalues;
     v4 = value0;
     cl_object v8;
     v8 = (v7<=1)? ECL_NIL : cl_env_copy->values[1];
     v5 = v8;
     v8 = (v7<=2)? ECL_NIL : cl_env_copy->values[2];
     v6 = v8;
    }
    if ((v4)!=ECL_NIL) { goto L6; }
    ecl_function_dispatch(cl_env_copy,VV[29])(2, VV[9], v2name) /*  CMPERR */;
L6:;
    {
     cl_object v7val;
     cl_object v8var;
     cl_object v9nonlocal;
     T0 = ecl_cadr(v1args);
     v7val = ecl_function_dispatch(cl_env_copy,VV[44])(1, T0) /*  C1EXPR */;
     v8var = ecl_function_dispatch(cl_env_copy,VV[45])(1, v4) /*  BLK-VAR */;
     value0 = v5;
     if ((value0)!=ECL_NIL) { goto L12; }
     v9nonlocal = v6;
     goto L10;
L12:;
     v9nonlocal = value0;
     goto L10;
L10:;
     if (Null(v5)) { goto L14; }
     ecl_structure_set(v8var,VV[10],2,ECL_T);
L14:;
     {
      cl_object v10;
      T0 = ecl_function_dispatch(cl_env_copy,VV[37])(1, v4) /*  BLK-REF */;
      v10 = ecl_plus(T0,ecl_make_fixnum(1));
      ecl_structure_set(v4,VV[11],1,v10);
     }
     {
      cl_object v10;
      T0 = ecl_function_dispatch(cl_env_copy,VV[38])(1, v4) /*  BLK-TYPE */;
      T1 = ecl_function_dispatch(cl_env_copy,VV[39])(1, v7val) /*  C1FORM-TYPE */;
      v10 = ecl_function_dispatch(cl_env_copy,VV[40])(2, T0, T1) /*  VALUES-TYPE-OR */;
      ecl_structure_set(v4,VV[11],8,v10);
     }
     {
      cl_object v10output;
      v10output = ecl_function_dispatch(cl_env_copy,VV[41])(7, ECL_SYM("RETURN-FROM",727), ECL_SYM("TYPE",1353), ECL_T, VV[7], v4, v9nonlocal, v7val) /*  MAKE-C1FORM* */;
      if ((v5)!=ECL_NIL) { goto L23; }
      if (Null(v6)) { goto L21; }
      goto L22;
L23:;
L22:;
      ecl_function_dispatch(cl_env_copy,VV[46])(2, v8var, v10output) /*  ADD-TO-READ-NODES */;
L21:;
      value0 = v10output;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
 }
}
/*      function definition for ADD-LOOP-REGISTERS                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3439add_loop_registers(cl_object v1tagbody)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2v;
   cl_object v3end;
   cl_object v4first;
   v2v = v1tagbody;
   v3end = ECL_NIL;
   v4first = ECL_NIL;
   goto L6;
L5:;
   T0 = ecl_car(v2v);
   if (Null(ecl_function_dispatch(cl_env_copy,VV[48])(1, T0) /*  TAG-P */)) { goto L8; }
   if ((v4first)!=ECL_NIL) { goto L10; }
   v4first = v2v;
L10:;
   {
    cl_object v5;
    cl_object v6;
    cl_object v7w;
    v5 = ecl_cdr(v2v);
    T0 = ecl_car(v2v);
    v6 = ecl_function_dispatch(cl_env_copy,VV[49])(1, T0) /*  TAG-NAME */;
    v7w = v5;
    goto L18;
L17:;
    T0 = ecl_car(v7w);
    if (Null(LC3438jumps_to_p(T0, v6))) { goto L20; }
    v3end = v7w;
L20:;
    v7w = ecl_cdr(v7w);
L18:;
    if (v7w==ECL_NIL) { goto L25; }
    goto L17;
L25:;
   }
L8:;
   v2v = ecl_cdr(v2v);
L6:;
   if (v2v==ECL_NIL) { goto L29; }
   goto L5;
L29:;
   {
    cl_object v5ww;
    v5ww = v4first;
    goto L34;
L33:;
    T0 = ecl_car(v5ww);
    LC3437add_reg1(T0);
    v5ww = ecl_cdr(v5ww);
L34:;
    if ((v5ww)==(v3end)) { goto L39; }
    goto L33;
L39:;
    T0 = ecl_car(v5ww);
    value0 = LC3437add_reg1(T0);
    return value0;
   }
  }
 }
}
/*      local function JUMPS-TO-P                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3438jumps_to_p(cl_object v1clause, cl_object v2tag_name)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[50])(1, v1clause) /*  C1FORM-P */)) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[51])(1, v1clause) /*  C1FORM-NAME */;
  if (!((T0)==(ECL_SYM("GO",416)))) { goto L4; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[52])(1, v1clause) /*  C1FORM-ARGS */;
  T1 = ecl_car(T0);
  T2 = ecl_function_dispatch(cl_env_copy,VV[49])(1, T1) /*  TAG-NAME  */;
  value0 = ecl_make_bool((T2)==(v2tag_name));
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_ATOM(v1clause))) { goto L6; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  T0 = ecl_car(v1clause);
  value0 = LC3438jumps_to_p(T0, v2tag_name);
  if ((value0)!=ECL_NIL) { goto L9; }
  v1clause = ecl_cdr(v1clause);
  goto TTL;
L9:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function ADD-REG1                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3437add_reg1(cl_object v1form)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[50])(1, v1form) /*  C1FORM-P */)) { goto L1; }
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[52])(1, v1form) /*  C1FORM-ARGS */;
   goto L6;
L5:;
   {
    cl_object v3v;
    v3v = ecl_car(v2);
    LC3437add_reg1(v3v);
   }
   v2 = ecl_cdr(v2);
L6:;
   if (Null(v2)) { goto L13; }
   goto L5;
L13:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  if (!(ECL_CONSP(v1form))) { goto L15; }
  {
   cl_object v3;
   v3 = v1form;
   goto L20;
L19:;
   {
    cl_object v4v;
    v4v = ecl_car(v3);
    LC3437add_reg1(v4v);
   }
   v3 = ecl_cdr(v3);
L20:;
   if (Null(v3)) { goto L27; }
   goto L19;
L27:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L15:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[53])(1, v1form) /*  VAR-P */)) { goto L29; }
  value0 = ecl_structure_set(v1form,VV[10],1,ecl_make_fixnum(2305843009213693951));
  cl_env_copy->nvalues = 1;
  return value0;
L29:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for C1TAGBODY                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3440c1tagbody(cl_object v1orig_body)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2tag_var;
   cl_object v3tag_index;
   cl_object v4body;
   T0 = ecl_function_dispatch(cl_env_copy,VV[32])(0) /*  CMP-ENV-COPY */;
   ecl_bds_bind(cl_env_copy,VV[4],T0);            /*  *CMP-ENV*       */
   v2tag_var = ecl_function_dispatch(cl_env_copy,VV[30])(4, ECL_SYM("NAME",1306), ECL_SYM("TAGBODY",852), VV[1], ECL_NIL) /*  MAKE-VAR */;
   v3tag_index = ecl_make_fixnum(0);
   v4body = ECL_NIL;
   {
    cl_object v5x;
    cl_object v6;
    v5x = ECL_NIL;
    {
     cl_object v7;
     v7 = v1orig_body;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v6 = v7;
    }
    {
     cl_object v7;
     cl_object v8;
     v7 = ecl_list1(ECL_NIL);
     v8 = v7;
L12:;
     if (!(ecl_endp(v6))) { goto L14; }
     goto L13;
L14:;
     v5x = ECL_CONS_CAR(v6);
     {
      cl_object v9;
      v9 = ECL_CONS_CDR(v6);
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v6 = v9;
     }
     {
      cl_object v9;
      v9 = v8;
      if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      T0 = v9;
     }
     if (!(ECL_CONSP(v5x))) { goto L28; }
     T1 = v5x;
     goto L27;
L28:;
     {
      cl_object v9tag;
      v9tag = ecl_function_dispatch(cl_env_copy,VV[55])(6, ECL_SYM("NAME",1306), v5x, VV[3], v2tag_var, VV[14], v3tag_index) /*  MAKE-TAG */;
      T2 = ecl_function_dispatch(cl_env_copy,VV[49])(1, v9tag) /*  TAG-NAME */;
      ecl_function_dispatch(cl_env_copy,VV[56])(2, T2, v9tag) /*  CMP-ENV-REGISTER-TAG */;
      v3tag_index = ecl_plus(v3tag_index,ecl_make_fixnum(1));
      T1 = v9tag;
     }
L27:;
     v8 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v8,T0);
     goto L12;
L13:;
     v4body = ecl_cdr(v7);
     goto L5;
    }
   }
L5:;
   ecl_function_dispatch(cl_env_copy,VV[30])(4, ECL_SYM("NAME",1306), VV[15], VV[1], ECL_NIL) /*  MAKE-VAR */;
   {
    cl_object v5output;
    v5output = ECL_NIL;
    {
     cl_object v6tag_body;
     v6tag_body = ECL_NIL;
     {
      cl_object v7;
      cl_object v8form;
      cl_object v9;
      v7 = v4body;
      v8form = ECL_NIL;
      {
       cl_object v10;
       v10 = v7;
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v9 = v10;
      }
L45:;
      if (!(ecl_endp(v9))) { goto L47; }
      goto L46;
L47:;
      v8form = ECL_CONS_CAR(v9);
      {
       cl_object v10;
       v10 = ECL_CONS_CDR(v9);
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v9 = v10;
      }
      if (Null(ecl_function_dispatch(cl_env_copy,VV[48])(1, v8form) /*  TAG-P */)) { goto L56; }
      if (Null(v6tag_body)) { goto L58; }
      T0 = cl_nreconc(v6tag_body, VV[16]);
      T1 = ecl_function_dispatch(cl_env_copy,VV[34])(1, T0) /*  C1PROGN */;
      v5output = CONS(T1,v5output);
      v6tag_body = ECL_NIL;
L58:;
      v5output = CONS(v8form,v5output);
      goto L55;
L56:;
      v6tag_body = CONS(v8form,v6tag_body);
L55:;
      goto L45;
L46:;
      if (Null(v6tag_body)) { goto L68; }
      T0 = cl_nreconc(v6tag_body, VV[16]);
      T1 = ecl_function_dispatch(cl_env_copy,VV[34])(1, T0) /*  C1PROGN */;
      v4body = CONS(T1,v5output);
      goto L67;
L68:;
      v4body = v5output;
L67:;
     }
    }
   }
   {
    cl_object v5;
    cl_object v6form;
    cl_object v7;
    v5 = v4body;
    v6form = ECL_NIL;
    {
     cl_object v8;
     v8 = v5;
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v7 = v8;
    }
    {
     cl_object v8output;
     v8output = ECL_NIL;
L77:;
     if (!(ecl_endp(v7))) { goto L79; }
     goto L78;
L79:;
     v6form = ECL_CONS_CAR(v7);
     {
      cl_object v9;
      v9 = ECL_CONS_CDR(v7);
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v7 = v9;
     }
     if (Null(ecl_function_dispatch(cl_env_copy,VV[48])(1, v6form) /*  TAG-P */)) { goto L89; }
     T0 = ecl_function_dispatch(cl_env_copy,VV[57])(1, v6form) /*  TAG-REF */;
     if (!(ecl_plusp(T0))) { goto L87; }
     goto L88;
L89:;
L88:;
     v8output = CONS(v6form,v8output);
L87:;
     goto L77;
L78:;
     v4body = v8output;
    }
   }
   if (!(v4body==ECL_NIL)) { goto L95; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[34])(1, ECL_NIL) /*  C1PROGN */;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
L95:;
   T0 = ecl_last(v4body,1);
   T1 = ecl_car(T0);
   if (Null(ecl_function_dispatch(cl_env_copy,VV[48])(1, T1) /*  TAG-P */)) { goto L97; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[44])(1, ECL_NIL) /*  C1EXPR */;
   T1 = ecl_list1(T0);
   v4body = ecl_nconc(v4body,T1);
L97:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v2tag_var) /*  VAR-REF */;
   if (!(ecl_zerop(T0))) { goto L100; }
   T0 = ecl_fdefinition(VV[48]);
   T1 = cl_delete_if(2, T0, v4body);
   value0 = ecl_function_dispatch(cl_env_copy,VV[41])(3, ECL_SYM("PROGN",673), VV[7], T1) /*  MAKE-C1FORM* */;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
L100:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[35])(1, v2tag_var) /*  VAR-REF-CCB */)) { goto L103; }
   cl_set(VV[5],ecl_plus(ecl_symbol_value(VV[5]),ecl_make_fixnum(1)));
L103:;
   L3439add_loop_registers(v4body);
   T0 = ecl_list1(v2tag_var);
   value0 = ecl_function_dispatch(cl_env_copy,VV[41])(6, ECL_SYM("TAGBODY",852), VV[6], T0, VV[7], v2tag_var, v4body) /*  MAKE-C1FORM* */;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*      function definition for C1GO                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3441c1go(cl_object v1args)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[28])(4, ECL_SYM("GO",416), v1args, ecl_make_fixnum(1), ecl_make_fixnum(1)) /*  CHECK-ARGS-NUMBER */;
  {
   cl_object v2name;
   v2name = ecl_car(v1args);
   if (ECL_SYMBOLP(v2name)) { goto L3; }
   if (ECL_FIXNUMP(v2name)||ECL_BIGNUMP(v2name)) { goto L3; }
   ecl_function_dispatch(cl_env_copy,VV[29])(2, VV[18], v2name) /*  CMPERR */;
L3:;
   {
    cl_object v4;                                 /*  TAG             */
    cl_object v5;                                 /*  CFB             */
    cl_object v6;                                 /*  UNW             */
    value0 = ecl_function_dispatch(cl_env_copy,VV[60])(1, v2name) /*  CMP-ENV-SEARCH-TAG */;
    {
     const int v7 = cl_env_copy->nvalues;
     v4 = value0;
     cl_object v8;
     v8 = (v7<=1)? ECL_NIL : cl_env_copy->values[1];
     v5 = v8;
     v8 = (v7<=2)? ECL_NIL : cl_env_copy->values[2];
     v6 = v8;
    }
    if ((v4)!=ECL_NIL) { goto L7; }
    ecl_function_dispatch(cl_env_copy,VV[29])(2, VV[19], v2name) /*  CMPERR */;
L7:;
    {
     cl_object v7var;
     v7var = ecl_function_dispatch(cl_env_copy,VV[61])(1, v4) /*  TAG-VAR */;
     if (Null(v5)) { goto L11; }
     ecl_structure_set(v7var,VV[10],3,ECL_T);
     ecl_structure_set(v7var,VV[10],6,VV[2]);
     goto L10;
L11:;
     if (Null(v6)) { goto L10; }
     if ((ecl_function_dispatch(cl_env_copy,VV[62])(1, v7var) /*  VAR-KIND */)!=ECL_NIL) { goto L10; }
     ecl_structure_set(v7var,VV[10],6,ECL_SYM("OBJECT",1312));
L10:;
     {
      cl_object v8;
      T0 = ecl_function_dispatch(cl_env_copy,VV[57])(1, v4) /*  TAG-REF */;
      v8 = ecl_plus(T0,ecl_make_fixnum(1));
      ecl_structure_set(v4,VV[20],1,v8);
     }
     value0 = v5;
     if ((value0)!=ECL_NIL) { goto L20; }
     T0 = v6;
     goto L18;
L20:;
     T0 = value0;
     goto L18;
L18:;
     T1 = ecl_function_dispatch(cl_env_copy,VV[41])(4, ECL_SYM("GO",416), VV[7], v4, T0) /*  MAKE-C1FORM* */;
     value0 = ecl_function_dispatch(cl_env_copy,VV[46])(2, v7var, T1) /*  ADD-TO-READ-NODES */;
     return value0;
    }
   }
  }
 }
}
/*      function definition for C1THROW                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3442c1throw(cl_object v1args)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[28])(4, ECL_SYM("THROW",860), v1args, ecl_make_fixnum(2), ecl_make_fixnum(2)) /*  CHECK-ARGS-NUMBER */;
  T0 = ecl_car(v1args);
  T1 = ecl_function_dispatch(cl_env_copy,VV[44])(1, T0) /*  C1EXPR    */;
  T2 = ecl_cadr(v1args);
  T3 = ecl_function_dispatch(cl_env_copy,VV[44])(1, T2) /*  C1EXPR    */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[41])(4, ECL_SYM("THROW",860), VV[7], T1, T3) /*  MAKE-C1FORM* */;
  return value0;
 }
}
/*      function definition for C1CATCH                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3443c1catch(cl_object v1args)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[28])(3, ECL_SYM("CATCH",184), v1args, ecl_make_fixnum(1)) /*  CHECK-ARGS-NUMBER */;
  cl_set(VV[5],ecl_plus(ecl_symbol_value(VV[5]),ecl_make_fixnum(1)));
  T0 = ecl_car(v1args);
  T1 = ecl_function_dispatch(cl_env_copy,VV[44])(1, T0) /*  C1EXPR    */;
  T2 = ecl_cdr(v1args);
  T3 = ecl_function_dispatch(cl_env_copy,VV[34])(1, T2) /*  C1PROGN   */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[41])(8, ECL_SYM("CATCH",184), VV[23], ECL_T, ECL_SYM("TYPE",1353), ECL_T, VV[7], T1, T3) /*  MAKE-C1FORM* */;
  return value0;
 }
}
/*      function definition for C1UNWIND-PROTECT                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3444c1unwind_protect(cl_object v1args)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[28])(3, ECL_SYM("UNWIND-PROTECT",890), v1args, ecl_make_fixnum(1)) /*  CHECK-ARGS-NUMBER */;
  T0 = ecl_cdr(v1args);
  if (!(T0==ECL_NIL)) { goto L2; }
  ecl_function_dispatch(cl_env_copy,VV[66])(1, VV[25]) /*  CMPDEBUG   */;
  T0 = ecl_car(v1args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[44])(1, T0) /*  C1EXPR */;
  return value0;
L2:;
  cl_set(VV[5],ecl_plus(ecl_symbol_value(VV[5]),ecl_make_fixnum(1)));
  {
   cl_object v2form;
   T0 = ecl_function_dispatch(cl_env_copy,VV[67])(1, ECL_SYM("UNWIND-PROTECT-BOUNDARY",1941)) /*  CMP-ENV-MARK */;
   ecl_bds_bind(cl_env_copy,VV[4],T0);            /*  *CMP-ENV*       */
   T0 = ecl_car(v1args);
   v2form = ecl_function_dispatch(cl_env_copy,VV[44])(1, T0) /*  C1EXPR */;
   ecl_bds_unwind1(cl_env_copy);
   T0 = ecl_function_dispatch(cl_env_copy,VV[39])(1, v2form) /*  C1FORM-TYPE */;
   T1 = ecl_cdr(v1args);
   T2 = ecl_function_dispatch(cl_env_copy,VV[34])(1, T1) /*  C1PROGN  */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[41])(8, ECL_SYM("UNWIND-PROTECT",890), ECL_SYM("TYPE",1353), T0, VV[23], ECL_T, VV[7], v2form, T2) /*  MAKE-C1FORM* */;
   return value0;
  }
 }
}

#include "cmp/cmppass1-cont.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclv5N98aIQjGjq9_YqVls571(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = ecl_make_constant_base_string("SRC:CMP;CMPPASS1-CONT.LSP.NEWEST",-1);
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclv5N98aIQjGjq9_YqVls571@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  ecl_cmp_defun(VV[27]);                          /*  C1BLOCK         */
  ecl_cmp_defun(VV[42]);                          /*  C1RETURN-FROM   */
  ecl_cmp_defun(VV[47]);                          /*  ADD-LOOP-REGISTERS */
  ecl_cmp_defun(VV[54]);                          /*  C1TAGBODY       */
  ecl_cmp_defun(VV[59]);                          /*  C1GO            */
  ecl_cmp_defun(VV[63]);                          /*  C1THROW         */
  ecl_cmp_defun(VV[64]);                          /*  C1CATCH         */
  ecl_cmp_defun(VV[65]);                          /*  C1UNWIND-PROTECT */
}
