/*      Compiler: ECL 24.5.10                                         */
/*      Source: /home/abuild/rpmbuild/BUILD/ecl-24.5.10/src/cmp/cmpprop-num.lsp */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpprop-num.eclh"
/*      local function LAMBDA3                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3557__lambda3(cl_narg narg, cl_object v1fname, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2args;
  ecl_va_list args; ecl_va_start(args,v1fname,narg,1);
  v2args = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (Null(v2args)) { goto L2; }
  {
   cl_object v3;
   v3 = VV[1];
   goto L7;
L6:;
   {
    cl_object v4int_type;
    v4int_type = ecl_car(v3);
    {
     cl_object v5value;
     cl_object v6;
     v5value = ECL_NIL;
     {
      cl_object v7;
      v7 = v2args;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v6 = v7;
     }
L17:;
     if (!(ecl_endp(v6))) { goto L19; }
     goto L18;
L19:;
     v5value = ECL_CONS_CAR(v6);
     {
      cl_object v7;
      v7 = ECL_CONS_CDR(v6);
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v6 = v7;
     }
     if ((cl_subtypep(2, v5value, v4int_type))!=ECL_NIL) { goto L27; }
     goto L11;
L27:;
     goto L17;
L18:;
     goto L12;
    }
L12:;
    T0 = v4int_type;
    goto L1;
L11:;
   }
   v3 = ecl_cdr(v3);
L7:;
   if (Null(v3)) { goto L33; }
   goto L6;
L33:;
   T0 = ECL_SYM("INTEGER",439);
   goto L1;
  }
L2:;
  T0 = ECL_SYM("FIXNUM",374);
L1:;
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = T0;
  cl_env_copy->values[0] = v2args;
  return cl_env_copy->values[0];
 }
}
/*      function definition for MAXIMUM-NUMBER-TYPE                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3558maximum_number_type(cl_narg narg, cl_object v1type1, cl_object v2type2, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3only_real;
  cl_object v4integer_result;
  ecl_va_list args; ecl_va_start(args,v2type2,narg,2);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L3558maximum_number_typekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3only_real = keyvars[0];
   v4integer_result = keyvars[1];
  }
  {
   cl_object v5;
   cl_object v6t1_eq;
   cl_object v7t2_eq;
   cl_object v8t1;
   cl_object v9t2;
   cl_object v10output;
   cl_object v11complex_t1;
   cl_object v12complex_t2;
   if (Null(v3only_real)) { goto L2; }
   v5 = ECL_SYM("REAL",705);
   goto L1;
L2:;
   v5 = ECL_SYM("NUMBER",608);
L1:;
   v6t1_eq = ECL_NIL;
   v7t2_eq = ECL_NIL;
   v8t1 = v1type1;
   v9t2 = v2type2;
   v10output = ECL_NIL;
   v11complex_t1 = ECL_NIL;
   v12complex_t2 = ECL_NIL;
   if (!(ECL_CONSP(v8t1))) { goto L11; }
   T0 = ecl_car(v8t1);
   if (!((T0)==(ECL_SYM("COMPLEX",243)))) { goto L11; }
   v8t1 = ecl_cadr(v8t1);
   v11complex_t1 = ECL_T;
L11:;
   if (!(ECL_CONSP(v9t2))) { goto L17; }
   T0 = ecl_car(v9t2);
   if (!((T0)==(ECL_SYM("COMPLEX",243)))) { goto L17; }
   v9t2 = ecl_cadr(v9t2);
   v12complex_t2 = ECL_T;
L17:;
   if (Null(v3only_real)) { goto L23; }
   if ((v11complex_t1)!=ECL_NIL) { goto L26; }
   if (Null(v12complex_t2)) { goto L23; }
   goto L24;
L26:;
L24:;
   cl_env_copy->nvalues = 3;
   cl_env_copy->values[2] = v5;
   cl_env_copy->values[1] = v5;
   cl_env_copy->values[0] = v5;
   return cl_env_copy->values[0];
L23:;
   {
    cl_object v13i;
    cl_object v14;
    cl_fixnum v15;
    cl_fixnum v16;
    v13i = ECL_NIL;
    v14 = VV[2];
    v15 = 0;
    v16 = 0;
    v16 = ecl_length(v14);
L33:;
    if (!((v15)>=(v16))) { goto L37; }
    goto L34;
L37:;
    {
     cl_object v17;
     v17 = v14;
     T0 = v17;
     {
      cl_fixnum v18;
      {
       cl_fixnum v19;
       v19 = v15;
       if (ecl_unlikely((v19)>=(v17)->vector.dim))
           FEwrong_index(ECL_NIL,v17,-1,ecl_make_fixnum(v19),(v17)->vector.dim);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v18 = v19;
      }
      v13i = ecl_aref_unsafe(T0,v18);
     }
    }
    {
     cl_object v17;
     v17 = ecl_make_integer((v15)+1);
     {
      bool v18;
      v18 = ECL_FIXNUMP(v17);
      if (ecl_unlikely(!(v18)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",374),v17);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
     }
     v15 = ecl_fixnum(v17);
    }
    if (!(v6t1_eq==ECL_NIL)) { goto L51; }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[19])(2, v13i, v8t1) /*  TYPE>= */)) { goto L51; }
    if (!(ecl_equalp(v8t1,v9t2))) { goto L54; }
    v7t2_eq = v13i;
L54:;
    v6t1_eq = v13i;
    v10output = v13i;
L51:;
    if (!(v7t2_eq==ECL_NIL)) { goto L50; }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[19])(2, v13i, v9t2) /*  TYPE>= */)) { goto L50; }
    v7t2_eq = v13i;
    v10output = v13i;
L50:;
    goto L33;
L34:;
   }
   if (Null(v6t1_eq)) { goto L69; }
   if (Null(v7t2_eq)) { goto L69; }
   if ((v10output)!=ECL_NIL) { goto L66; }
   goto L67;
L69:;
   goto L67;
L67:;
   v10output = v5;
L66:;
   if (Null(v4integer_result)) { goto L73; }
   if ((v10output)==(ECL_SYM("FIXNUM",374))) { goto L76; }
   if (!((v10output)==(ECL_SYM("INTEGER",439)))) { goto L73; }
   goto L74;
L76:;
L74:;
   v10output = v4integer_result;
L73:;
   if ((v11complex_t1)!=ECL_NIL) { goto L82; }
   if (Null(v12complex_t2)) { goto L79; }
   goto L81;
L82:;
L81:;
   if ((v10output)==(ECL_SYM("NUMBER",608))) { goto L79; }
   if (!((v10output)==(ECL_SYM("REAL",705)))) { goto L85; }
   v10output = ECL_SYM("COMPLEX",243);
   goto L84;
L85:;
   v10output = cl_list(2, ECL_SYM("COMPLEX",243), v10output);
L84:;
L79:;
   if (Null(v6t1_eq)) { goto L88; }
   T0 = v1type1;
   goto L87;
L88:;
   T0 = v5;
L87:;
   if (Null(v7t2_eq)) { goto L91; }
   T1 = v2type2;
   goto L90;
L91:;
   T1 = v5;
L90:;
   cl_env_copy->nvalues = 3;
   cl_env_copy->values[2] = T1;
   cl_env_copy->values[1] = T0;
   cl_env_copy->values[0] = v10output;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ENSURE-NUMBER-TYPE                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3559ensure_number_type(cl_narg narg, cl_object v1general_type, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2integer_result;
  ecl_va_list args; ecl_va_start(args,v1general_type,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L3559ensure_number_typekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2integer_result = keyvars[0];
  }
  value0 = L3558maximum_number_type(4, v1general_type, v1general_type, VV[4], v2integer_result);
  return value0;
 }
}
/*      function definition for ENSURE-NONRATIONAL-TYPE               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3560ensure_nonrational_type(cl_object v1general_type)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L3558maximum_number_type(2, v1general_type, ECL_SYM("SINGLE-FLOAT",780));
  return value0;
 }
}
/*      function definition for ENSURE-REAL-TYPE                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3561ensure_real_type(cl_object v1general_type)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L3558maximum_number_type(4, v1general_type, ECL_SYM("INTEGER",439), VV[7], ECL_T);
  return value0;
 }
}
/*      function definition for ARITHMETIC-PROPAGATOR                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3562arithmetic_propagator(cl_object v1op1_type, cl_object v2others, cl_object v3integer_result)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v5;                                  /*  RESULT-TYPE     */
   cl_object v6;                                  /*  OP1-TYPE        */
   value0 = L3559ensure_number_type(3, v1op1_type, VV[4], v3integer_result);
   {
    const int v7 = cl_env_copy->nvalues;
    v5 = value0;
    cl_object v8;
    v8 = (v7<=1)? ECL_NIL : cl_env_copy->values[1];
    v6 = v8;
   }
   {
    cl_object v7arg_types;
    v7arg_types = ecl_list1(v6);
    {
     cl_object v8x;
     cl_object v9;
     v8x = ECL_NIL;
     {
      cl_object v10;
      v10 = v2others;
      if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v9 = v10;
     }
     {
      cl_object v10op2_type;
      v10op2_type = ECL_NIL;
L8:;
      if (!(ecl_endp(v9))) { goto L10; }
      goto L9;
L10:;
      v8x = ECL_CONS_CAR(v9);
      {
       cl_object v11;
       v11 = ECL_CONS_CDR(v9);
       if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v9 = v11;
      }
      v10op2_type = v8x;
      value0 = L3558maximum_number_type(4, v5, v10op2_type, VV[4], v3integer_result);
      {
       const int v11 = cl_env_copy->nvalues;
       v5 = value0;
       cl_object v12;
       v12 = (v11<=1)? ECL_NIL : cl_env_copy->values[1];
       v6 = v12;
       v12 = (v11<=2)? ECL_NIL : cl_env_copy->values[2];
       v10op2_type = v12;
      }
      v7arg_types = CONS(v10op2_type,v7arg_types);
      goto L8;
L9:;
      T0 = cl_nreverse(v7arg_types);
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = v5;
      cl_env_copy->values[0] = T0;
      return cl_env_copy->values[0];
     }
    }
   }
  }
 }
}
/*      local function LAMBDA45                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3563__lambda45(cl_narg narg, cl_object v1fname, cl_object v2op1, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3others;
  ecl_va_list args; ecl_va_start(args,v2op1,narg,2);
  v3others = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = L3562arithmetic_propagator(v2op1, v3others, ECL_SYM("INTEGER",439));
  return value0;
 }
}
/*      local function LAMBDA49                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3564__lambda49(cl_narg narg, cl_object v1fname, cl_object v2op1, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3others;
  ecl_va_list args; ecl_va_start(args,v2op1,narg,2);
  v3others = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = L3562arithmetic_propagator(v2op1, v3others, ECL_SYM("RATIONAL",689));
  return value0;
 }
}
/*      local function LAMBDA54                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3565__lambda54(cl_narg narg, cl_object v1fname, cl_object v2op1_type, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  {
   cl_object v4;                                  /*  OUTPUT-TYPE     */
   cl_object v5;                                  /*  OP1-TYPE        */
   value0 = L3560ensure_nonrational_type(v2op1_type);
   {
    const int v6 = cl_env_copy->nvalues;
    v4 = value0;
    cl_object v7;
    v7 = (v6<=1)? ECL_NIL : cl_env_copy->values[1];
    v5 = v7;
   }
   T0 = ecl_list1(v5);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = v4;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      local function LAMBDA59                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3566__lambda59(cl_narg narg, cl_object v1fname, cl_object v2op1_type, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  {
   cl_object v4;                                  /*  OP1-TYPE        */
   value0 = L3560ensure_nonrational_type(v2op1_type);
   {
    const int v5 = cl_env_copy->nvalues;
    cl_object v6;
    v6 = (v5<=1)? ECL_NIL : cl_env_copy->values[1];
    v4 = v6;
   }
   T0 = ecl_list1(v4);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_SYM("NUMBER",608);
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      local function LAMBDA64                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3567__lambda64(cl_narg narg, cl_object v1fname, cl_object v2op1_type, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3op2_type;
  cl_object v4op2_p;
  va_list args; va_start(args,v2op1_type);
  {
   int i = 2;
   if (i >= narg) {
    v3op2_type = ECL_T;
    v4op2_p = ECL_NIL;
   } else {
    i++;
    v3op2_type = va_arg(args,cl_object);
    v4op2_p = ECL_T;
   }
  }
  va_end(args);
  {
   cl_object v6;                                  /*  FLOAT-T1        */
   cl_object v7;                                  /*  T1              */
   value0 = L3560ensure_nonrational_type(v2op1_type);
   {
    const int v8 = cl_env_copy->nvalues;
    v6 = value0;
    cl_object v9;
    v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
    v7 = v9;
   }
   if (Null(v4op2_p)) { goto L3; }
   {
    cl_object v9;                                 /*  RESULT          */
    cl_object v10;                                /*  T1              */
    cl_object v11;                                /*  T2              */
    value0 = L3558maximum_number_type(4, v7, v3op2_type, VV[7], ECL_T);
    {
     const int v12 = cl_env_copy->nvalues;
     v9 = value0;
     cl_object v13;
     v13 = (v12<=1)? ECL_NIL : cl_env_copy->values[1];
     v10 = v13;
     v13 = (v12<=2)? ECL_NIL : cl_env_copy->values[2];
     v11 = v13;
    }
    T0 = cl_list(2, v10, v11);
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v9;
    cl_env_copy->values[0] = T0;
    return cl_env_copy->values[0];
   }
L3:;
   T0 = ecl_list1(v7);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = v6;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      local function LAMBDA69                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3568__lambda69(cl_narg narg, cl_object v1fname, cl_object v2base, cl_object v3exponent, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  {
   cl_object v4exponent;
   v4exponent = L3561ensure_real_type(v3exponent);
   T0 = cl_list(2, v2base, v4exponent);
   if (!((v4exponent)==(ECL_SYM("INTEGER",439)))) { goto L3; }
   if (Null(cl_subtypep(2, v2base, ECL_SYM("FIXNUM",374)))) { goto L5; }
   T1 = ECL_SYM("INTEGER",439);
   goto L2;
L5:;
   T1 = v2base;
   goto L2;
L3:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[19])(2, VV[10], v2base) /*  TYPE>= */)) { goto L7; }
   {
    cl_object v5exponent;
    v5exponent = L3560ensure_nonrational_type(v4exponent);
    T1 = L3558maximum_number_type(2, v5exponent, v2base);
    goto L2;
   }
L7:;
   T1 = ECL_SYM("NUMBER",608);
L2:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = T1;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      local function LAMBDA74                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3569__lambda74(cl_narg narg, cl_object v1fname, cl_object v2arg, ...)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  {
   cl_object v4;                                  /*  OUTPUT          */
   cl_object v5;                                  /*  ARG             */
   value0 = L3559ensure_number_type(1, v2arg);
   {
    const int v6 = cl_env_copy->nvalues;
    v4 = value0;
    cl_object v7;
    v7 = (v6<=1)? ECL_NIL : cl_env_copy->values[1];
    v5 = v7;
   }
   T0 = ecl_list1(v5);
   {
    cl_object v6;
    cl_object v7;
    v6 = v4;
    v7 = VV[11];
    T2 = ecl_assql(v6,v7);
   }
   value0 = ecl_cdr(T2);
   if ((value0)!=ECL_NIL) { goto L4; }
   T1 = v4;
   goto L2;
L4:;
   T1 = value0;
   goto L2;
L2:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = T1;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      local function LAMBDA89                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3570__lambda89(cl_narg narg, cl_object v1fname, cl_object v2arg, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  {
   cl_object v4;                                  /*  OUTPUT          */
   cl_object v5;                                  /*  ARG             */
   value0 = L3560ensure_nonrational_type(v2arg);
   {
    const int v6 = cl_env_copy->nvalues;
    v4 = value0;
    cl_object v7;
    v7 = (v6<=1)? ECL_NIL : cl_env_copy->values[1];
    v5 = v7;
   }
   T0 = ecl_list1(v5);
   if (Null(ecl_function_dispatch(cl_env_copy,VV[19])(2, VV[10], v5) /*  TYPE>= */)) { goto L3; }
   T1 = v4;
   goto L2;
L3:;
   T1 = ECL_SYM("NUMBER",608);
L2:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = T1;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      local function LAMBDA94                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3571__lambda94(cl_narg narg, cl_object v1fname, cl_object v2arg, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  if (Null(ecl_function_dispatch(cl_env_copy,VV[19])(2, VV[12], v2arg) /*  TYPE>= */)) { goto L1; }
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = VV[12];
  cl_env_copy->values[0] = VV[13];
  return cl_env_copy->values[0];
L1:;
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = VV[15];
  cl_env_copy->values[0] = VV[14];
  return cl_env_copy->values[0];
 }
}

#include "cmp/cmpprop-num.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclAyU2vZQPm1Lh9_XDYls571(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = ecl_make_constant_base_string("SRC:CMP;CMPPROP-NUM.LSP.NEWEST",-1);
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclAyU2vZQPm1Lh9_XDYls571@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(VVtemp[0]);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3557__lambda3,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("LOGAND",494), ecl_symbol_value(VV[0]), T0);
 }
  ecl_cmp_defun(VV[16]);                          /*  MAXIMUM-NUMBER-TYPE */
  ecl_cmp_defun(VV[20]);                          /*  ENSURE-NUMBER-TYPE */
  ecl_cmp_defun(VV[21]);                          /*  ENSURE-NONRATIONAL-TYPE */
  ecl_cmp_defun(VV[22]);                          /*  ENSURE-REAL-TYPE */
  ecl_cmp_defun(VV[23]);                          /*  ARITHMETIC-PROPAGATOR */
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3563__lambda45,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("*",20), ecl_symbol_value(VV[0]), T0);
 }
  ecl_function_dispatch(cl_env_copy,VV[24])(2, ECL_SYM("*",20), VVtemp[1]) /*  COPY-TYPE-PROPAGATOR */;
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3564__lambda49,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("/",23), ecl_symbol_value(VV[0]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3565__lambda54,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("COS",266), ecl_symbol_value(VV[0]), T0);
 }
  ecl_function_dispatch(cl_env_copy,VV[24])(2, ECL_SYM("COS",266), VVtemp[2]) /*  COPY-TYPE-PROPAGATOR */;
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3566__lambda59,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("ACOS",82), ecl_symbol_value(VV[0]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3567__lambda64,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("ATAN",119), ecl_symbol_value(VV[0]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3568__lambda69,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("EXPT",347), ecl_symbol_value(VV[0]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3569__lambda74,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("ABS",80), ecl_symbol_value(VV[0]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3570__lambda89,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("SQRT",794), ecl_symbol_value(VV[0]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3571__lambda94,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("ISQRT",450), ecl_symbol_value(VV[0]), T0);
 }
}
