/*      Compiler: ECL 24.5.10                                         */
/*      Source: /home/abuild/rpmbuild/BUILD/ecl-24.5.10/src/cmp/cmpprop.lsp */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpprop.eclh"
/*      local function PROP-MESSAGE                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3517prop_message(cl_object v1, cl_object v2)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4string;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   ecl_function_dispatch(cl_env_copy,VV[57])(1, v1) /*  DM-TOO-FEW-ARGUMENTS */;
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4string = v5;
   }
   if (Null(ecl_symbol_value(VV[0]))) { goto L8; }
   value0 = cl_listX(4, ECL_SYM("FORMAT",389), ECL_SYM("*STANDARD-OUTPUT*",69), v4string, v3);
   return value0;
L8:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for P1ORDINARY                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3518p1ordinary(cl_object v1c1form, cl_object v2form)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L3520p1propagate(v2form);
  return value0;
 }
}
/*      function definition for P1FSET                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3519p1fset(cl_object v1c1form, cl_object v2fun, cl_object v3fname, cl_object v4macro, cl_object v5pprint, cl_object v6c1forms)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L3536p1propagate_function(v2fun);
  value0 = ECL_SYM("FUNCTION",398);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for P1PROPAGATE                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3520p1propagate(cl_object v1form)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((v1form)!=ECL_NIL) { goto L1; }
  value0 = ECL_SYM("NULL",607);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[61])(1, v1form) /*  C1FORM-P */)) { goto L3; }
  {
   cl_object v2;
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6;
   cl_object v7;
   v2 = ecl_function_dispatch(cl_env_copy,VV[62])(1, v1form) /*  C1FORM-ENV */;
   v3 = ecl_function_dispatch(cl_env_copy,VV[63])(1, v1form) /*  C1FORM-FILE */;
   v4 = ecl_function_dispatch(cl_env_copy,VV[64])(1, v1form) /*  C1FORM-FILE-POSITION */;
   v5 = ecl_function_dispatch(cl_env_copy,VV[65])(1, v1form) /*  C1FORM-FORM */;
   v6 = ecl_function_dispatch(cl_env_copy,VV[66])(1, v1form) /*  C1FORM-TOPLEVEL-FORM */;
   v7 = ecl_function_dispatch(cl_env_copy,VV[67])(1, v1form) /*  C1FORM-NAME */;
   ecl_bds_bind(cl_env_copy,VV[4],v2);            /*  *CMP-ENV*       */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-FILE-PATHNAME*",28),v3); /*  *COMPILE-FILE-PATHNAME* */
   ecl_bds_bind(cl_env_copy,VV[5],v4);            /*  *COMPILE-FILE-POSITION* */
   ecl_bds_bind(cl_env_copy,VV[6],v5);            /*  *CURRENT-FORM*  */
   ecl_bds_bind(cl_env_copy,VV[7],v6);            /*  *CURRENT-TOPLEVEL-FORM* */
   {
    cl_object v8propagator;
    v8propagator = ecl_gethash_safe(v7,ecl_symbol_value(VV[8]),ECL_NIL);
    if (Null(v8propagator)) {
    ecl_bds_unwind_n(cl_env_copy,5);
     goto L3;
    }
    {
     cl_object v9new_type;
     T0 = ecl_function_dispatch(cl_env_copy,VV[68])(1, v1form) /*  C1FORM-ARGS */;
     v9new_type = cl_apply(3, v8propagator, v1form, T0);
     {
      cl_object v10;
      T0 = ecl_function_dispatch(cl_env_copy,VV[69])(1, v1form) /*  C1FORM-TYPE */;
      v10 = ecl_function_dispatch(cl_env_copy,VV[70])(2, T0, v9new_type) /*  VALUES-TYPE-AND */;
      value0 = ecl_structure_set(v1form,VV[9],1,v10);
      cl_env_copy->nvalues = 1;
      ecl_bds_unwind_n(cl_env_copy,5);
      return value0;
     }
    }
   }
  }
L3:;
  ecl_function_dispatch(cl_env_copy,VV[71])(2, VV[10], v1form) /*  CMPNOTE */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[69])(1, v1form) /*  C1FORM-TYPE */;
  return value0;
 }
}
/*      function definition for P1TRIVIAL                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3521p1trivial(cl_narg narg, cl_object v1form, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  value0 = ecl_function_dispatch(cl_env_copy,VV[69])(1, v1form) /*  C1FORM-TYPE */;
  return value0;
 }
}
/*      function definition for P1VAR                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3522p1var(cl_object v1form, cl_object v2var)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3var_type;
   cl_object v4type;
   v3var_type = ecl_function_dispatch(cl_env_copy,VV[74])(1, v2var) /*  VAR-TYPE */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[75])(1, v1form) /*  C1FORM-PRIMARY-TYPE */;
   v4type = ecl_function_dispatch(cl_env_copy,VV[76])(2, v3var_type, T0) /*  TYPE-AND */;
   value0 = v4type;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for P1VALUES                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3523p1values(cl_object v1form, cl_object v2values)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3v;
   cl_object v4;
   v3v = ECL_NIL;
   {
    cl_object v5;
    v5 = v2values;
    if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v4 = v5;
   }
   {
    cl_object v5;
    cl_object v6;
    cl_object v7all_values;
    v5 = ecl_list1(ECL_NIL);
    v6 = v5;
    v7all_values = ECL_NIL;
L8:;
    if (!(ecl_endp(v4))) { goto L10; }
    goto L9;
L10:;
    v3v = ECL_CONS_CAR(v4);
    {
     cl_object v8;
     v8 = ECL_CONS_CDR(v4);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v4 = v8;
    }
    {
     cl_object v8;
     v8 = v6;
     if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     T0 = v8;
    }
    T1 = L3520p1propagate(v3v);
    T2 = ecl_function_dispatch(cl_env_copy,VV[78])(1, T1) /*  VALUES-TYPE-PRIMARY-TYPE */;
    v6 = ecl_list1(T2);
    (ECL_CONS_CDR(T0)=v6,T0);
    v7all_values = ecl_cdr(v5);
    goto L8;
L9:;
    value0 = CONS(ECL_SYM("VALUES",897),v7all_values);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for P1PROPAGATE-LIST                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3524p1propagate_list(cl_object v1list)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2final_type;
   v2final_type = ECL_T;
   {
    cl_object v3f;
    cl_object v4;
    v3f = ECL_NIL;
    {
     cl_object v5;
     v5 = v1list;
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v4 = v5;
    }
L6:;
    if (!(ecl_endp(v4))) { goto L8; }
    goto L7;
L8:;
    v3f = ECL_CONS_CAR(v4);
    {
     cl_object v5;
     v5 = ECL_CONS_CDR(v4);
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v4 = v5;
    }
    v2final_type = L3520p1propagate(v3f);
    goto L6;
L7:;
    value0 = v2final_type;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for P1BLOCK                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3525p1block(cl_object v1c1form, cl_object v2blk, cl_object v3body)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(v2blk,VV[16],8,ECL_NIL);
  {
   cl_object v4;
   cl_object v5;
   v4 = L3520p1propagate(v3body);
   v5 = ecl_function_dispatch(cl_env_copy,VV[81])(1, v2blk) /*  BLK-TYPE */;
   if (Null(v5)) { goto L4; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[82])(2, v5, v4) /*  VALUES-TYPE-OR */;
   return value0;
L4:;
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for P1RETURN-FROM                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3526p1return_from(cl_object v1c1form, cl_object v2blk, cl_object v3return_type, cl_object v4value)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v5values_type;
   cl_object v6blk_type;
   v5values_type = L3520p1propagate(v4value);
   v6blk_type = ecl_function_dispatch(cl_env_copy,VV[81])(1, v2blk) /*  BLK-TYPE */;
   {
    cl_object v7;
    if (Null(v6blk_type)) { goto L5; }
    v7 = ecl_function_dispatch(cl_env_copy,VV[82])(2, v6blk_type, v5values_type) /*  VALUES-TYPE-OR */;
    goto L4;
L5:;
    v7 = v5values_type;
L4:;
    ecl_structure_set(v2blk,VV[16],8,v7);
   }
   value0 = v5values_type;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for P1CALL-GLOBAL                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3527p1call_global(cl_object v1c1form, cl_object v2fname, cl_object v3args)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4v;
   cl_object v5;
   v4v = ECL_NIL;
   {
    cl_object v6;
    v6 = v3args;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v5 = v6;
   }
L5:;
   if (!(ecl_endp(v5))) { goto L7; }
   goto L6;
L7:;
   v4v = ECL_CONS_CAR(v5);
   {
    cl_object v6;
    v6 = ECL_CONS_CDR(v5);
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v5 = v6;
   }
   L3520p1propagate(v4v);
   goto L5;
L6:;
   {
    cl_object v6type;
    v6type = ecl_function_dispatch(cl_env_copy,VV[85])(2, v2fname, v3args) /*  PROPAGATE-TYPES */;
    value0 = v6type;
    cl_env_copy->nvalues = 1;
    return value0;
   }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for P1CALL-LOCAL                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3528p1call_local(cl_object v1c1form, cl_object v2fun, cl_object v3args)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4v;
   cl_object v5;
   v4v = ECL_NIL;
   {
    cl_object v6;
    v6 = v3args;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v5 = v6;
   }
L5:;
   if (!(ecl_endp(v5))) { goto L7; }
   goto L6;
L7:;
   v4v = ECL_CONS_CAR(v5);
   {
    cl_object v6;
    v6 = ECL_CONS_CDR(v5);
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v5 = v6;
   }
   L3520p1propagate(v4v);
   goto L5;
L6:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[87])(1, v2fun) /*  FUN-RETURN-TYPE */;
   return value0;
  }
 }
}
/*      function definition for P1CATCH                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3529p1catch(cl_object v1c1form, cl_object v2tag, cl_object v3body)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L3520p1propagate(v2tag);
  L3520p1propagate(v3body);
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for P1THROW                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3530p1throw(cl_object v1c1form, cl_object v2catch_value, cl_object v3output_value)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L3520p1propagate(v2catch_value);
  L3520p1propagate(v3output_value);
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for P1IF                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3531p1if(cl_object v1c1form, cl_object v2fmla, cl_object v3true_branch, cl_object v4false_branch)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L3520p1propagate(v2fmla);
  {
   cl_object v5;
   cl_object v6;
   v5 = L3520p1propagate(v3true_branch);
   v6 = L3520p1propagate(v4false_branch);
   value0 = ecl_function_dispatch(cl_env_copy,VV[82])(2, v5, v6) /*  VALUES-TYPE-OR */;
   return value0;
  }
 }
}
/*      function definition for P1FMLA-NOT                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3532p1fmla_not(cl_object v1c1form, cl_object v2form)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L3520p1propagate(v2form);
  value0 = VV[24];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for P1FMLA-AND                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3533p1fmla_and(cl_object v1c1form, cl_object v2butlast, cl_object v3last)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4type;
   v4type = ECL_T;
   {
    cl_object v5;
    cl_object v6form;
    cl_object v7;
    T0 = ecl_list1(v3last);
    v5 = ecl_append(v2butlast,T0);
    v6form = ECL_NIL;
    {
     cl_object v8;
     v8 = v5;
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v7 = v8;
    }
L7:;
    if (!(ecl_endp(v7))) { goto L9; }
    goto L8;
L9:;
    v6form = ECL_CONS_CAR(v7);
    {
     cl_object v8;
     v8 = ECL_CONS_CDR(v7);
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v7 = v8;
    }
    v4type = L3520p1propagate(v6form);
    goto L7;
L8:;
    T0 = ecl_function_dispatch(cl_env_copy,VV[78])(1, v4type) /*  VALUES-TYPE-PRIMARY-TYPE */;
    value0 = ecl_function_dispatch(cl_env_copy,VV[93])(2, ECL_SYM("NULL",607), T0) /*  TYPE-OR */;
    return value0;
   }
  }
 }
}
/*      function definition for P1FMLA-OR                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3534p1fmla_or(cl_object v1c1form, cl_object v2butlast, cl_object v3last)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4type;
   v4type = ECL_NIL;
   {
    cl_object v5output_type;
    v5output_type = ECL_T;
    {
     cl_object v6;
     cl_object v7form;
     cl_object v8;
     T0 = ecl_list1(v3last);
     v6 = ecl_append(v2butlast,T0);
     v7form = ECL_NIL;
     {
      cl_object v9;
      v9 = v6;
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v8 = v9;
     }
L8:;
     if (!(ecl_endp(v8))) { goto L10; }
     goto L9;
L10:;
     v7form = ECL_CONS_CAR(v8);
     {
      cl_object v9;
      v9 = ECL_CONS_CDR(v8);
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v8 = v9;
     }
     v4type = L3520p1propagate(v7form);
     T0 = ecl_function_dispatch(cl_env_copy,VV[78])(1, v4type) /*  VALUES-TYPE-PRIMARY-TYPE */;
     v5output_type = ecl_function_dispatch(cl_env_copy,VV[93])(2, T0, v5output_type) /*  TYPE-OR */;
     goto L8;
L9:;
     value0 = v5output_type;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      function definition for P1LAMBDA                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3535p1lambda(cl_narg narg, cl_object v1c1form, cl_object v2lambda_list, cl_object v3doc, cl_object v4body, ...)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<4)) FEwrong_num_arguments_anonym();
 {
  value0 = L3520p1propagate(v4body);
  return value0;
 }
}
/*      function definition for P1PROPAGATE-FUNCTION                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3536p1propagate_function(cl_object v1fun)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   T0 = ecl_function_dispatch(cl_env_copy,VV[97])(1, v1fun) /*  FUN-LAMBDA */;
   v2 = L3520p1propagate(T0);
   value0 = ecl_structure_set(v1fun,VV[29],19,v2);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for P1LET*                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3537p1let_(cl_object v1c1form, cl_object v2vars, cl_object v3forms, cl_object v4body)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v5type;
   v5type = ECL_NIL;
   {
    cl_object v6v;
    cl_object v7;
    v6v = ECL_NIL;
    {
     cl_object v8;
     v8 = v2vars;
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v7 = v8;
    }
    {
     cl_object v8f;
     cl_object v9;
     v8f = ECL_NIL;
     {
      cl_object v10;
      v10 = v3forms;
      if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v9 = v10;
     }
L11:;
     if (!(ecl_endp(v7))) { goto L13; }
     goto L12;
L13:;
     v6v = ECL_CONS_CAR(v7);
     {
      cl_object v10;
      v10 = ECL_CONS_CDR(v7);
      if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v7 = v10;
     }
     if (!(ecl_endp(v9))) { goto L21; }
     goto L12;
L21:;
     v8f = ECL_CONS_CAR(v9);
     {
      cl_object v10;
      v10 = ECL_CONS_CDR(v9);
      if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v9 = v10;
     }
     if ((ecl_function_dispatch(cl_env_copy,VV[99])(1, v6v) /*  GLOBAL-VAR-P */)!=ECL_NIL) { goto L29; }
     if ((ecl_function_dispatch(cl_env_copy,VV[100])(1, v6v) /*  VAR-SET-NODES */)!=ECL_NIL) { goto L29; }
     v5type = L3520p1propagate(v8f);
     {
      cl_object v10;
      T0 = ecl_function_dispatch(cl_env_copy,VV[78])(1, v5type) /*  VALUES-TYPE-PRIMARY-TYPE */;
      T1 = ecl_function_dispatch(cl_env_copy,VV[74])(1, v6v) /*  VAR-TYPE */;
      v10 = ecl_function_dispatch(cl_env_copy,VV[76])(2, T0, T1) /*  TYPE-AND */;
      ecl_structure_set(v6v,VV[31],11,v10);
     }
L29:;
     goto L11;
L12:;
    }
   }
  }
  value0 = L3520p1propagate(v4body);
  return value0;
 }
}
/*      function definition for P1LOCALS                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3538p1locals(cl_object v1c1form, cl_object v2funs, cl_object v3body, cl_object v4labels)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v5f;
   cl_object v6;
   v5f = ECL_NIL;
   {
    cl_object v7;
    v7 = v2funs;
    if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v6 = v7;
   }
L6:;
   if (!(ecl_endp(v6))) { goto L8; }
   goto L7;
L8:;
   v5f = ECL_CONS_CAR(v6);
   {
    cl_object v7;
    v7 = ECL_CONS_CDR(v6);
    if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v6 = v7;
   }
   L3536p1propagate_function(v5f);
   goto L6;
L7:;
  }
  value0 = L3520p1propagate(v3body);
  return value0;
 }
}
/*      function definition for P1MULTIPLE-VALUE-BIND                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3539p1multiple_value_bind(cl_object v1c1form, cl_object v2vars_list, cl_object v3init_c1form, cl_object v4body)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v5init_form_type;
   v5init_form_type = L3520p1propagate(v3init_c1form);
   {
    cl_object v6v;
    cl_object v7;
    v6v = ECL_NIL;
    {
     cl_object v8;
     v8 = v2vars_list;
     if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v7 = v8;
    }
    {
     cl_object v8;
     cl_object v9type;
     cl_object v10;
     {
      cl_fixnum v11;
      v11 = ecl_length(v2vars_list);
      v8 = ecl_function_dispatch(cl_env_copy,VV[103])(2, v5init_form_type, ecl_make_fixnum(v11)) /*  VALUES-TYPE-TO-N-TYPES */;
     }
     v9type = ECL_NIL;
     {
      cl_object v11;
      v11 = v8;
      if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v10 = v11;
     }
L12:;
     if (!(ecl_endp(v7))) { goto L14; }
     goto L13;
L14:;
     v6v = ECL_CONS_CAR(v7);
     {
      cl_object v11;
      v11 = ECL_CONS_CDR(v7);
      if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v7 = v11;
     }
     if (!(ecl_endp(v10))) { goto L22; }
     goto L13;
L22:;
     v9type = ECL_CONS_CAR(v10);
     {
      cl_object v11;
      v11 = ECL_CONS_CDR(v10);
      if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v10 = v11;
     }
     if ((ecl_function_dispatch(cl_env_copy,VV[99])(1, v6v) /*  GLOBAL-VAR-P */)!=ECL_NIL) { goto L30; }
     if ((ecl_function_dispatch(cl_env_copy,VV[100])(1, v6v) /*  VAR-SET-NODES */)!=ECL_NIL) { goto L30; }
     {
      cl_object v11;
      T0 = ecl_function_dispatch(cl_env_copy,VV[74])(1, v6v) /*  VAR-TYPE */;
      v11 = ecl_function_dispatch(cl_env_copy,VV[76])(2, T0, v9type) /*  TYPE-AND */;
      ecl_structure_set(v6v,VV[31],11,v11);
     }
L30:;
     goto L12;
L13:;
    }
   }
   value0 = L3520p1propagate(v4body);
   return value0;
  }
 }
}
/*      function definition for P1MULTIPLE-VALUE-SETQ                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3540p1multiple_value_setq(cl_object v1c1form, cl_object v2vars_list, cl_object v3value_c1form)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L3520p1propagate(v3value_c1form);
  return value0;
 }
}
/*      function definition for P1PROGN                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3541p1progn(cl_object v1c1form, cl_object v2forms)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L3524p1propagate_list(v2forms);
  return value0;
 }
}
/*      function definition for P1COMPILER-TYPECASE                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3542p1compiler_typecase(cl_object v1c1form, cl_object v2variable, cl_object v3expressions)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4var_type;
   v4var_type = ecl_function_dispatch(cl_env_copy,VV[74])(1, v2variable) /*  VAR-TYPE */;
   {
    cl_object v5output_type;
    v5output_type = ECL_T;
    {
     cl_object v6a_type;
     cl_object v7c1form;
     cl_object v8;
     v6a_type = ECL_NIL;
     v7c1form = ECL_NIL;
     {
      cl_object v9;
      v9 = v3expressions;
      if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v8 = v9;
     }
     {
      cl_object v9c1form_type;
      v9c1form_type = ECL_NIL;
L9:;
      if (!(ecl_endp(v8))) { goto L11; }
      goto L10;
L11:;
      {
       cl_object v10;
       v10 = ECL_CONS_CAR(v8);
       v6a_type = ecl_car(v10);
       v10 = ecl_cdr(v10);
       v7c1form = ecl_car(v10);
      }
      {
       cl_object v10;
       v10 = ECL_CONS_CDR(v8);
       if (ecl_unlikely(!ECL_LISTP(v10))) FEtype_error_list(v10);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v8 = v10;
      }
      v9c1form_type = L3520p1propagate(v7c1form);
      if (!(ecl_eql(v6a_type,ECL_T))) { goto L32; }
      goto L28;
      goto L30;
L32:;
      goto L30;
L30:;
      if (!((v6a_type)==(ECL_SYM("OTHERWISE",617)))) { goto L35; }
      goto L28;
      goto L29;
L35:;
      goto L29;
L29:;
      if (Null(cl_subtypep(2, v4var_type, v6a_type))) { goto L26; }
      goto L27;
L28:;
L27:;
      v5output_type = v9c1form_type;
L26:;
      goto L9;
L10:;
      value0 = v5output_type;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
 }
}
/*      function definition for P1CHECKED-VALUE                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3543p1checked_value(cl_object v1c1form, cl_object v2type, cl_object v3value, cl_object v4let_form)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v5value_type;
   v5value_type = L3520p1propagate(v3value);
   if (Null(cl_subtypep(2, v5value_type, v2type))) { goto L2; }
   value0 = v5value_type;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   value0 = v2type;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for P1PROGV                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3544p1progv(cl_object v1c1form, cl_object v2variables, cl_object v3values, cl_object v4body)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L3520p1propagate(v2variables);
  L3520p1propagate(v3values);
  value0 = L3520p1propagate(v4body);
  return value0;
 }
}
/*      function definition for P1SETQ                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3545p1setq(cl_object v1c1form, cl_object v2var, cl_object v3value_c1form)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4value_type;
   v4value_type = L3520p1propagate(v3value_c1form);
   T0 = ecl_function_dispatch(cl_env_copy,VV[74])(1, v2var) /*  VAR-TYPE */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[78])(1, v4value_type) /*  VALUES-TYPE-PRIMARY-TYPE */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[76])(2, T0, T1) /*  TYPE-AND */;
   return value0;
  }
 }
}
/*      function definition for P1PSETQ                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3546p1psetq(cl_object v1c1form, cl_object v2vars, cl_object v3c1forms)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4form;
   cl_object v5;
   v4form = ECL_NIL;
   {
    cl_object v6;
    v6 = v3c1forms;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v5 = v6;
   }
L6:;
   if (!(ecl_endp(v5))) { goto L8; }
   goto L7;
L8:;
   v4form = ECL_CONS_CAR(v5);
   {
    cl_object v6;
    v6 = ECL_CONS_CDR(v5);
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v5 = v6;
   }
   L3520p1propagate(v4form);
   goto L6;
L7:;
  }
  value0 = ECL_SYM("NULL",607);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for P1WITH-STACK                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3547p1with_stack(cl_object v1c1form, cl_object v2body)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L3520p1propagate(v2body);
  return value0;
 }
}
/*      function definition for P1STACK-PUSH-VALUES                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3548p1stack_push_values(cl_object v1c1form, cl_object v2form, cl_object v3inline)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L3520p1propagate(v2form);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for P1GO                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3549p1go(cl_object v1c1form, cl_object v2tag_var, cl_object v3return_type)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for P1TAGBODY                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3550p1tagbody(cl_object v1c1form, cl_object v2tag_loc, cl_object v3body)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4f;
   cl_object v5;
   v4f = ECL_NIL;
   {
    cl_object v6;
    v6 = v3body;
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v5 = v6;
   }
L7:;
   if (!(ecl_endp(v5))) { goto L9; }
   goto L8;
L9:;
   v4f = ECL_CONS_CAR(v5);
   {
    cl_object v6;
    v6 = ECL_CONS_CDR(v5);
    if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v5 = v6;
   }
   if ((ecl_function_dispatch(cl_env_copy,VV[115])(1, v4f) /*  TAG-P  */)!=ECL_NIL) { goto L17; }
   L3520p1propagate(v4f);
L17:;
   goto L7;
L8:;
  }
  value0 = ECL_SYM("NULL",607);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for P1UNWIND-PROTECT                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3551p1unwind_protect(cl_object v1c1form, cl_object v2form, cl_object v3body)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4output_type;
   v4output_type = L3520p1propagate(v2form);
   L3520p1propagate(v3body);
   value0 = v4output_type;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for TYPE-FROM-ARRAY-ELT                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3552type_from_array_elt(cl_object v1array)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2name;
   v2name = ECL_NIL;
   if (!((v1array)==(ECL_SYM("STRING",807)))) { goto L3; }
   T0 = ECL_SYM("CHARACTER",224);
   goto L2;
L3:;
   if (!((v1array)==(ECL_SYM("BASE-STRING",123)))) { goto L5; }
   T0 = ECL_SYM("BASE-CHAR",122);
   goto L2;
L5:;
   {
    cl_object v3;
    v1array = ecl_function_dispatch(cl_env_copy,VV[118])(1, v1array) /*  EXPAND-DEFTYPE */;
    v3 = v1array;
    if (!((v3)==(ECL_SYM("ARRAY",98)))) { goto L14; }
    goto L11;
    goto L12;
L14:;
    goto L12;
L12:;
    if (!((v3)==(ECL_SYM("VECTOR",900)))) { goto L18; }
    goto L11;
    goto L16;
L18:;
    goto L16;
L16:;
    if (!((v3)==(ECL_SYM("SIMPLE-ARRAY",765)))) { goto L7; }
    goto L8;
L11:;
   }
L8:;
   T0 = ECL_T;
   goto L2;
L7:;
   if (!(ECL_ATOM(v1array))) { goto L21; }
   v1array = ECL_SYM("ARRAY",98);
   T0 = ECL_T;
   goto L2;
L21:;
   v2name = ecl_car(v1array);
   if (!((v2name)==(ECL_SYM("OR",616)))) { goto L25; }
   {
    cl_object v3;
    v3 = ecl_fdefinition(VV[53]);
    {
     cl_object v4;
     cl_object v5;
     cl_object v6;
     v4 = ecl_cdr(v1array);
     v5 = ECL_NIL;
     {
      cl_object v7;
      v7 = v4;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L37:;
      if (!(ecl_endp(v6))) { goto L39; }
      goto L38;
L39:;
      v5 = ECL_CONS_CAR(v6);
      {
       cl_object v9;
       v9 = ECL_CONS_CDR(v6);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v6 = v9;
      }
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       T2 = v9;
      }
      T3 = ecl_function_dispatch(cl_env_copy,v3)(1, v5);
      v8 = ecl_list1(T3);
      (ECL_CONS_CDR(T2)=v8,T2);
      goto L37;
L38:;
      T1 = ecl_cdr(v7);
      goto L28;
     }
    }
   }
L28:;
   T0 = CONS(ECL_SYM("OR",616),T1);
   goto L2;
L25:;
   v2name = ecl_car(v1array);
   if (!((v2name)==(ECL_SYM("AND",89)))) { goto L55; }
   {
    cl_object v3;
    v3 = ecl_fdefinition(VV[53]);
    {
     cl_object v4;
     cl_object v5;
     cl_object v6;
     v4 = ecl_cdr(v1array);
     v5 = ECL_NIL;
     {
      cl_object v7;
      v7 = v4;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L67:;
      if (!(ecl_endp(v6))) { goto L69; }
      goto L68;
L69:;
      v5 = ECL_CONS_CAR(v6);
      {
       cl_object v9;
       v9 = ECL_CONS_CDR(v6);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v6 = v9;
      }
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       T2 = v9;
      }
      T3 = ecl_function_dispatch(cl_env_copy,v3)(1, v5);
      v8 = ecl_list1(T3);
      (ECL_CONS_CDR(T2)=v8,T2);
      goto L67;
L68:;
      T1 = ecl_cdr(v7);
      goto L58;
     }
    }
   }
L58:;
   T0 = CONS(ECL_SYM("AND",89),T1);
   goto L2;
L55:;
   {
    cl_object v3;
    v3 = ecl_car(v1array);
    if (!((v3)==(ECL_SYM("ARRAY",98)))) { goto L90; }
    goto L85;
    goto L88;
L90:;
    goto L88;
L88:;
    if (!((v3)==(ECL_SYM("VECTOR",900)))) { goto L94; }
    goto L85;
    goto L92;
L94:;
    goto L92;
L92:;
    if (!((v3)==(ECL_SYM("SIMPLE-ARRAY",765)))) { goto L97; }
    goto L85;
    goto L86;
L97:;
    goto L86;
   }
L86:;
   v1array = ECL_SYM("ARRAY",98);
   T0 = ECL_T;
   goto L2;
L85:;
   T1 = ecl_cdr(v1array);
   if (!(T1==ECL_NIL)) { goto L101; }
   T0 = ECL_T;
   goto L2;
L101:;
   {
    cl_object v3x;
    v3x = ecl_cadr(v1array);
    if (!((v3x)==(ECL_SYM("*",20)))) { goto L104; }
    T0 = ECL_T;
    goto L2;
L104:;
    T0 = v3x;
   }
L2:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = v1array;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      local function LAMBDA132                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3553__lambda132(cl_narg narg, cl_object v1fname, cl_object v2array_type, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indices_and_object;
  ecl_va_list args; ecl_va_start(args,v2array_type,narg,2);
  v3indices_and_object = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v5;                                  /*  ELT-TYPE        */
   cl_object v6;                                  /*  ARRAY-TYPE      */
   value0 = L3552type_from_array_elt(v2array_type);
   {
    const int v7 = cl_env_copy->nvalues;
    v5 = value0;
    cl_object v8;
    v8 = (v7<=1)? ECL_NIL : cl_env_copy->values[1];
    v6 = v8;
   }
   {
    cl_fixnum v7;
    v7 = ecl_length(v3indices_and_object);
    T0 = ecl_make_integer((v7)-1);
    T1 = cl_make_list(3, T0, ECL_SYM("INITIAL-ELEMENT",1283), VV[55]);
    T2 = ecl_list1(v5);
    T3 = ecl_nconc(T1,T2);
    T4 = CONS(v6,T3);
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v5;
    cl_env_copy->values[0] = T4;
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      local function LAMBDA136                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3554__lambda136(cl_narg narg, cl_object v1fname, cl_object v2array_type, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indices;
  ecl_va_list args; ecl_va_start(args,v2array_type,narg,2);
  v3indices = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v5;                                  /*  ELT-TYPE        */
   cl_object v6;                                  /*  ARRAY-TYPE      */
   value0 = L3552type_from_array_elt(v2array_type);
   {
    const int v7 = cl_env_copy->nvalues;
    v5 = value0;
    cl_object v8;
    v8 = (v7<=1)? ECL_NIL : cl_env_copy->values[1];
    v6 = v8;
   }
   {
    cl_fixnum v7;
    v7 = ecl_length(v3indices);
    T0 = cl_make_list(3, ecl_make_fixnum(v7), ECL_SYM("INITIAL-ELEMENT",1283), VV[55]);
    T1 = CONS(v6,T0);
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = v5;
    cl_env_copy->values[0] = T1;
    return cl_env_copy->values[0];
   }
  }
 }
}
/*      local function LAMBDA141                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3555__lambda141(cl_narg narg, cl_object v1fname, cl_object v2array_type, cl_object v3index, cl_object v4obj, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<4)) FEwrong_num_arguments_anonym();
 {
  {
   cl_object v6;                                  /*  ELT-TYPE        */
   cl_object v7;                                  /*  ARRAY-TYPE      */
   value0 = L3552type_from_array_elt(v2array_type);
   {
    const int v8 = cl_env_copy->nvalues;
    v6 = value0;
    cl_object v9;
    v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
    v7 = v9;
   }
   T0 = cl_list(3, v7, VV[55], v6);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = v6;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      local function LAMBDA146                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3556__lambda146(cl_narg narg, cl_object v1fname, cl_object v2array_type, cl_object v3index, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  {
   cl_object v5;                                  /*  ELT-TYPE        */
   cl_object v6;                                  /*  ARRAY-TYPE      */
   value0 = L3552type_from_array_elt(v2array_type);
   {
    const int v7 = cl_env_copy->nvalues;
    v5 = value0;
    cl_object v8;
    v8 = (v7<=1)? ECL_NIL : cl_env_copy->values[1];
    v6 = v8;
   }
   T0 = cl_list(2, v6, VV[55]);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = v5;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}

#include "cmp/cmpprop.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl2dRfhTzWw35r9_rtXls571(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = ecl_make_constant_base_string("SRC:CMP;CMPPROP.LSP.NEWEST",-1);
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_ecl2dRfhTzWw35r9_rtXls571@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(VVtemp[0]);
  si_Xmake_special(VV[0]);
  cl_set(VV[0],ECL_NIL);
  ecl_cmp_defmacro(VV[56]);                       /*  PROP-MESSAGE    */
  ecl_cmp_defun(VV[58]);                          /*  P1ORDINARY      */
  ecl_cmp_defun(VV[59]);                          /*  P1FSET          */
  ecl_cmp_defun(VV[60]);                          /*  P1PROPAGATE     */
  ecl_cmp_defun(VV[72]);                          /*  P1TRIVIAL       */
  ecl_cmp_defun(VV[73]);                          /*  P1VAR           */
  ecl_cmp_defun(VV[77]);                          /*  P1VALUES        */
  ecl_cmp_defun(VV[79]);                          /*  P1PROPAGATE-LIST */
  ecl_cmp_defun(VV[80]);                          /*  P1BLOCK         */
  ecl_cmp_defun(VV[83]);                          /*  P1RETURN-FROM   */
  ecl_cmp_defun(VV[84]);                          /*  P1CALL-GLOBAL   */
  ecl_cmp_defun(VV[86]);                          /*  P1CALL-LOCAL    */
  ecl_cmp_defun(VV[88]);                          /*  P1CATCH         */
  ecl_cmp_defun(VV[89]);                          /*  P1THROW         */
  ecl_cmp_defun(VV[90]);                          /*  P1IF            */
  ecl_cmp_defun(VV[91]);                          /*  P1FMLA-NOT      */
  ecl_cmp_defun(VV[92]);                          /*  P1FMLA-AND      */
  ecl_cmp_defun(VV[94]);                          /*  P1FMLA-OR       */
  ecl_cmp_defun(VV[95]);                          /*  P1LAMBDA        */
  ecl_cmp_defun(VV[96]);                          /*  P1PROPAGATE-FUNCTION */
  ecl_cmp_defun(VV[98]);                          /*  P1LET*          */
  ecl_cmp_defun(VV[101]);                         /*  P1LOCALS        */
  ecl_cmp_defun(VV[102]);                         /*  P1MULTIPLE-VALUE-BIND */
  ecl_cmp_defun(VV[104]);                         /*  P1MULTIPLE-VALUE-SETQ */
  ecl_cmp_defun(VV[105]);                         /*  P1PROGN         */
  ecl_cmp_defun(VV[106]);                         /*  P1COMPILER-TYPECASE */
  ecl_cmp_defun(VV[107]);                         /*  P1CHECKED-VALUE */
  ecl_cmp_defun(VV[108]);                         /*  P1PROGV         */
  ecl_cmp_defun(VV[109]);                         /*  P1SETQ          */
  ecl_cmp_defun(VV[110]);                         /*  P1PSETQ         */
  ecl_cmp_defun(VV[111]);                         /*  P1WITH-STACK    */
  ecl_cmp_defun(VV[112]);                         /*  P1STACK-PUSH-VALUES */
  si_Xmake_special(VV[46]);
  if (ecl_boundp(cl_env_copy,VV[46])) { goto L104; }
  cl_set(VV[46],ecl_make_fixnum(-1));
L104:;
  ecl_cmp_defun(VV[113]);                         /*  P1GO            */
  ecl_cmp_defun(VV[114]);                         /*  P1TAGBODY       */
  ecl_cmp_defun(VV[116]);                         /*  P1UNWIND-PROTECT */
  ecl_cmp_defun(VV[117]);                         /*  TYPE-FROM-ARRAY-ELT */
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3553__lambda132,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("ASET",1043), ecl_symbol_value(VV[54]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3554__lambda136,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("AREF",94), ecl_symbol_value(VV[54]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3555__lambda141,ECL_NIL,Cblock,4);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("ROW-MAJOR-ASET",1151), ecl_symbol_value(VV[54]), T0);
 }
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC3556__lambda146,ECL_NIL,Cblock,3);
   T0 = v1;
  }
  si_hash_set(ECL_SYM("ROW-MAJOR-AREF",733), ecl_symbol_value(VV[54]), T0);
 }
}
